Skip to content

submissions_associations_retrieve

GET
/api/submissions/{submission_pk}/associations/{id}
curl --request GET \
--url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

Retrieve a given submission metadata object.

id
required

Unique identifier for the submission association.

string format: uuid
submission_pk
required

The submission this association belongs to.

string format: uuid
X-Workspace
required
string format: uuid

Workspace ID

Media typeapplication/json

Serializer for submission associations, including linked objects.

object
id
required

Unique identifier for the submission association.

string format: uuid
association_slug
required

Short unique slug identifying this association.

string
/^[-a-zA-Z0-9_]+$/
association_name
required

Friendly name for the association.

string
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
objects
required

Retrieve all linked data and metadata objects for this association.

Parameters

obj : SubmissionAssociation The current association instance.

Returns

list[dict] List of linked objects, each represented by: { “id”: UUID, “type”: “data” | “metadata”, “name”: str | None, “role”: str | None }

Array<object>
object
key
additional properties

Example generated

{}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "uri_validation_error",
"message": "Invalid URI parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "<parameter_name>",
"code": "invalid",
"message": "\"<parameter_value>\" is not a valid UUID."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "submission",
"code": "not_allowed",
"message": "You are not a member of this submission."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}